package com.dayou.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dayou.dto.MajorStaticsDTO;
import com.dayou.entity.Major;
import com.dayou.dao.CustomBaseMapper;
import com.dayou.vo.MajorVO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 大中型项目 Mapper 接口
 * </p>
 *
 * @author wucl
 * @since 2023-10-30
 */
public interface MajorMapper extends CustomBaseMapper<Major> {

    Page<MajorVO> getPage(Page page, @Param("major") MajorVO major,@Param("keyword") String keyword);

    MajorVO getDetail(@Param("id") Long id);

    MajorStaticsDTO staticsInformation(@Param("userId") Long userId);

    Page<MajorVO> xPage(Page page, @Param("major") MajorVO major,@Param("keyword") String keyword ,@Param("currentUserId") Long currentUserId);
}
